Campaigns
List Campaigns
Returns a paginated list of campaigns.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id?string
Unique identifier for the resource.
id[in]?string
Filters by any of the supplied id values.
status?string
Current status of the resource.
status[in]?string
Filters by any of the supplied status values.
last_sendout_date[gt]?string
Filters resources by last sendout date using the gt operator.
Format
date-timelast_sendout_date[gte]?string
Filters resources by last sendout date using the gte operator.
Format
date-timelast_sendout_date[lt]?string
Filters resources by last sendout date using the lt operator.
Format
date-timelast_sendout_date[lte]?string
Filters resources by last sendout date using the lte operator.
Format
date-timelimit?integer
Maximum number of resources to return.
Default
10Range
0 <= value <= 100page_token?string
Opaque token returned by a previous page request.
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://api.getmateo.com/v1/campaigns"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "status": "cancelled", "sendout_mode": "once", "schedule": "string", "send_after": "2019-08-24T14:15:22Z", "last_sendout_date": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_page_url": "string", "previous_page_url": "string"}